# 特性样例速查表

- [基础类型 Primitive Types](../basic_abilities/readme.md)

- [容器类型 Container](../basic_abilities/readme.md)

- [纯数据类 `struct`](../binding/readme.md)

- [如何导入其他模块 Import](../import/README.md)

- [枚举 `enum`](../enum_union/README.md)

- [联合体 `union`](../enum_union/README.md)

- [接口 `interface`](../interface/readme.md)

- [继承 Inherit](../inherit/README.md)

- [? 可选类型 `Optional`](../optional/README.md)

- [Promise](../async/readme.md)

- [外部对象 `Opaque`](../external_obj/readme.md)

- [回调函数 Callback](../callback/readme.md)

阅读下面的章节前，建议先对 Taihe 注解的语法有所了解 [Link](../async/readme.md)

- [命名空间的在 Taihe 中如何写 `@namespace`](../namespace/README.md)

- [ArrayBuffer 在 Taihe 中如何写 `@arraybuffer`](../arraybuffer/readme.md)

- [TypedArray 在 Taihe 中如何写 `@typedarray`](../typedarray/README.md)

- [BigInt 在 Taihe 中如何写 `@bigint`](../bigint/README.md)

- [如何让 Taihe 的 interface 在 sts 中对应 class `@class`](../override/readme.md)

- [如何在 Taihe 声明与实现 class 构造函数 `@ctor`](../override/readme.md)

- [如何在 Taihe 声明静态函数 `@static`](../override/readme.md)

- [如何在 Taihe 声明与实现 sts 中的 get、set 的属性 `@get` & `@set`](../inherit/README.md)

- [如何在 Taihe 更好地声明与实现纯数据类的继承 `@extends`](../struct_extends/README.md)

- [如何在 Taihe 声明与实现函数重载 `@overload`](../overload/readme.md)

- [如何在 Taihe 声明 Async 函数 `@gen_async`](../async/readme.md)

- [如何在 Taihe 声明 Promise 函数`@gen_promice`](../async/readme.md)

- [如何在 Taihe 通过注入方式将 sts 代码加入生成文件中 `@sts_inject`](../external_obj/readme.md)

- [如何在 Taihe 通过注入方式将 sts 代码加入类中 `@!sts_inject_into_class`](../essential/README.md)

- [如何在 Taihe 通过注入方式将 sts 代码加入接口中 `@!sts_inject_into_interface`](../essential/README.md)
